aboutsummaryrefslogtreecommitdiffstats
path: root/hyperterm/core/status.sh
diff options
context:
space:
mode:
Diffstat (limited to 'hyperterm/core/status.sh')
-rw-r--r--hyperterm/core/status.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/hyperterm/core/status.sh b/hyperterm/core/status.sh
new file mode 100644
index 0000000..d5f5dc5
--- /dev/null
+++ b/hyperterm/core/status.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# System Status
+function exitstatus(){
+ local retval=$?
+ unset status
+
+ # Import colors
+ _colors_bash "$@"
+
+ case $retval in
+ 0)
+ status="[${retval}]"
+ printf '%b%s' "${BOLD}${CYAN}" "${status}"
+ ;;
+ 1)
+ status="[${retval}]"
+ printf '%b%s' "${BOLD}${PURPLE}" "${status}"
+ ;;
+ *)
+ status="[${retval}]"
+ printf '%b%s' "${BOLD}${RED}" "${status}"
+ ;;
+ esac
+}